<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">XsFile Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_xs_file.html">XsFile</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#afbcf16ee971eceb9df989b392f336b7b">close</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#a8582fe152a7255e5c8b5ca67efed3055">create</a>(const XsString &amp;filename, bool writeOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a0a483a38b4b36e88198bf5c319c7bc51">createText</a>(const XsString &amp;filename, bool writeOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#a30c139080d00d1dadc42634259aff997">eof</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#ac29be7b13067290d7e634dd5d4f0d0f2">erase</a>(const XsString &amp;filename)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#a945aa2b982aa9bf178589da22acf249e">error</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#af8df320155ea81c3e92ea8b570d1fe2c">exists</a>(const XsString &amp;fileName)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#aceb6f38991748d7e705d45b8639c9600">flush</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a1ba957045e50a7dbe9810ded596b5238">fullPath</a>(const XsString &amp;filename, XsString &amp;fullPath)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#aef7aef85aed96bf3dad06b2c13d4090e">getc</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a1a2e87ad7de67a5de817082825e412f5">getline</a>(XsString &amp;line)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#aee5c85f5934c2fb1471a3192cee68475">getline</a>(std::string &amp;line)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a32f51eaac38c297e890c09e2804a5469">gets</a>(char *destination, int maxCount)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#a19dbe3b5138215d1d409eaafcafdb0fa">handle</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#afd1d45d339b8579eb4b4c608fa1b75e2">isOpen</a>() const </td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#abeb15f66e9156306ac72a66c275a6954">open</a>(const XsString &amp;fileName, bool readOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a94606a8f7673985bbd86d61ed56788f7">openText</a>(const XsString &amp;fileName, bool readOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#a48c332a76beb70bd95f20e1e5c71fa33">putc</a>(int character)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#aee8503915aae4fb783b2e8eeabc8ccea">puts</a>(const char *source)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#af7e4bfcec25776af648c012af8531dd2">read</a>(void *destination, XsSize size, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a19d284800cfadc55727b6e642e27a912">reopen</a>(const XsString &amp;fileName, const XsString &amp;mode)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#ae674123257080dcc3b60bda085b2e4b8">resize</a>(XsSize fileSize)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a1bb1426f0c9ed949bcd99a4f6cdae627">seek</a>(XsFilePos offset)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#ad9df8b0d674f876dfd1a30a3ca81efaa">seek_r</a>(XsFilePos offset)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a147524535826b4def3928d24597a117d">tell</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#ae11888d6465fef63594c12da64feb1cd">truncate</a>(XsSize fileSize)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_xs_file.html#a319696a29e2ae35c9276370f897873c0">write</a>(const void *source, XsSize size, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#a27784d29fffcd7bbd64ebcac3838a6da">XsFile</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga3089b403d22d8d43240d1997cb690b78">XsFile_close</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gaa51b0fb1b006a57bbfb6ae53585f3129">XsFile_create</a>(struct XsFile *, const struct XsString *filename, int writeOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga42937d56e76f41a6a3d554c8e4af8288">XsFile_createText</a>(struct XsFile *, const struct XsString *filename, int writeOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga064d66d79e9320069db2d090c6eeb1f5">XsFile_destruct</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga420d8684fb694db045f872c439f3d699">XsFile_eof</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga1ee77887428f00e310321d3b92283f40">XsFile_erase</a>(const struct XsString *filename)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaf315890fff13b3527de1bd09ba2b7412">XsFile_error</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gac94c631f2f9d9e179012ed2a98871e3b">XsFile_exists</a>(const struct XsString *filename)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gacbf44b9ae205722746fa296d3e111487">XsFile_flush</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga6e69aa9033af09db2b116ac0869373ce">XsFile_fullPath</a>(const struct XsString *filename, struct XsString *fullPath)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga452b2f0a063e2cbc045e824cac0fc253">XsFile_getc</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga856e9eaad42dcf6955793b17abbc5a4e">XsFile_getline</a>(struct XsFile *, struct XsString *line)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga3af1d168a6a15a5a82398e1d913365e2">XsFile_gets</a>(struct XsFile *, char *str, int num)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gabc3c0ce8a351ccf5b96dfb989e25302d">XsFile_handle</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga61fae4e413f8664ddb65aa3163999546">XsFile_isOpen</a>(const struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gae6ebc5d6ebfb70a766be126db9b502aa">XsFile_open</a>(struct XsFile *, const struct XsString *filename, int readOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaea7abae813d5c91aad482bfd7c3c9191">XsFile_openText</a>(struct XsFile *, const struct XsString *filename, int readOnly)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#gac36bc51cabbeccf1aede6bdb05254d2b">XsFile_putc</a>(struct XsFile *, int character)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga1415ab1ba8f0657ca0c919741699f1d5">XsFile_puts</a>(struct XsFile *, const char *str)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga0438012f8f5e3bee1140607a8f55703f">XsFile_read</a>(struct XsFile *, void *destination, XsSize size, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga3bf85429b9d60160ef5603b3dc3f8ab4">XsFile_reopen</a>(struct XsFile *, const struct XsString *filename, const struct XsString *mode)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga4042f9e2dd919f80e2bf6f36643ff806">XsFile_resize</a>(struct XsFile *, XsSize fileSize)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#ga35f205a51d86aa4c353d766c40a72b67">XsFile_seek</a>(struct XsFile *, XsFilePos offset)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga1d18f23274da35f606b3fb2cb3c57aa1">XsFile_seek_r</a>(struct XsFile *, XsFilePos offset)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gaaca9721b325509b0762aa9bf0d535e48">XsFile_tell</a>(struct XsFile *)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="group__cinterface.html#ga47f9370180a1c55bd3d97e238dd683f4">XsFile_truncate</a>(struct XsFile *, XsSize fileSize)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="group__cinterface.html#gab6284b33067d2ddb27fd693eaa718a9d">XsFile_write</a>(struct XsFile *, const void *source, XsSize size, XsSize count)</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="struct_xs_file.html#a87edab5e51cfebb84e72e5d252f5eea3">~XsFile</a>()</td><td class="entry"><a class="el" href="struct_xs_file.html">XsFile</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
